<?php
/**
 * @version    1.7
 * @package    VG veneno
 * @author     VinaGecko <support@vinagecko.com>
 * @copyright  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */
?>
<?php global $veneno_options; ?>
			<?php if(isset($veneno_options['enable_brand']) && $veneno_options['enable_brand']) { ?>
			<div class="vina-brand">
				<div class="container">
					<div class="container-inner">
						<?php 
							echo do_shortcode('[ourbrands]');
						?>
					</div>
				</div>
			</div>
			<?php } ?>
			<!-- Bottom -->
			<div class="vina-bottom">
				<div class="container">	
					<div class="row bottom-link-follow">
						<?php if(isset($veneno_options['about_show']) && $veneno_options['about_show']) { ?>
						<div class="col-lg-4 col-md-4 col-sm-4 about-block">
							<?php if($veneno_options['about_title']){ ?>
							<div class="bottom-title">
								<h3><?php echo esc_html($veneno_options['about_title']); ?></h3>
							</div>
							<?php } ?>
							<?php if($veneno_options['about_intro'] || $veneno_options['about_phone'] || $veneno_options['about_email']){ ?>
							<div class="bottom-content">
								<p><?php echo esc_html($veneno_options['about_intro']); ?></p>
								<p class="phones"><?php echo esc_html($veneno_options['about_phone']); ?></p>
								<p class="email"><?php echo esc_html($veneno_options['about_email']); ?></p>
							</div>
							<?php } ?>
						</div>
						<?php } ?>
						<?php if((isset($veneno_options['bottom_newsletter_show']) && $veneno_options['bottom_newsletter_show']) || (isset($veneno_options['social_show']) && $veneno_options['social_show'])) { ?>
						<div class="col-lg-8 col-md-8 col-sm-8 newsletter-social-block">
							<div class="newsletter-social">
								<?php if($veneno_options['bottom_newsletter_show']) { ?>
								<div class="newsletter-form">
									<?php if($veneno_options['bottom_newsletter_title']) { ?>
									<div class="bottom-title">
										<h3><?php echo esc_html($veneno_options['bottom_newsletter_title']); ?></h3>
									</div>
									<?php } ?>
									<?php
									if ( isset($veneno_options['bottom_newsletter_form']) ) {
										if(class_exists( 'WYSIJA_NL_Widget' )){
											the_widget('WYSIJA_NL_Widget', array(
												'form' => (int)$veneno_options['bottom_newsletter_form'],
												'id_form' => 'newsletter1',
												'success' => '',
											));
										}
									}
									?>
								</div>
								<?php } ?>
								<?php if($veneno_options['social_show']) { ?>
								<div class="web-links">
									<?php if($veneno_options['follow_title']) { ?>
									<div class="bottom-title">
										<h3><?php echo esc_html($veneno_options['follow_title']); ?></h3>
									</div>
									<?php } ?>
									<?php
									if(isset($veneno_options['ftsocial_icons'])) {
										echo '<ul class="social-icons">';
										foreach($veneno_options['ftsocial_icons'] as $key=>$value ) {
											if($value!=''){
												if($key=='vimeo'){
													echo '<li><a class="'.esc_attr($key).' social-icon" href="'.esc_url($value).'" title="'.ucwords(esc_attr($key)).'" target="_blank"><i class="fa fa-vimeo-square"></i></a></li>';
												} else {
													echo '<li><a class="'.esc_attr($key).' social-icon" href="'.esc_url($value).'" title="'.ucwords(esc_attr($key)).'" target="_blank"><i class="fa fa-'.esc_attr($key).'"></i></a></li>';
												}
											}
										}
										echo '</ul>';
									}
									?>
								</div>
								<?php } ?>
							</div>
						</div>
						<?php } ?>
					</div>
					<?php if (is_active_sidebar('bottom-1') || is_active_sidebar('bottom-2') || is_active_sidebar('bottom-3') || is_active_sidebar('bottom-4') || is_active_sidebar('bottom-5')) : ?>
					<div class="row bottom-menu">
						<?php if (is_active_sidebar('bottom-1')) : ?>
						<div class="col-lg-4 col-md-4 col-sm-4 menu-block-1">
							<?php 
								dynamic_sidebar('bottom-1');
							?>
						</div>
						<?php endif; ?>
						<?php if (is_active_sidebar('bottom-2')) : ?>
						<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6 menu-block-2">
							<?php 
								dynamic_sidebar('bottom-2');
							?>
						</div>
						<?php endif; ?>
						<?php if (is_active_sidebar('bottom-3')) : ?>
						<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6 menu-block-3">
							<?php 
								dynamic_sidebar('bottom-3');
							?>
						</div>
						<?php endif; ?>
						<?php if (is_active_sidebar('bottom-4')) : ?>
						<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6 menu-block-4">
							<?php 
								dynamic_sidebar('bottom-4');
							?>
						</div>
						<?php endif; ?>
						<?php if (is_active_sidebar('bottom-5')) : ?>
						<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6 menu-block-5">
							<?php 
								dynamic_sidebar('bottom-5');
							?>
						</div>
						<?php endif; ?>
					</div>
					<?php endif; ?>
				</div>
			</div>
			
			<!-- Footer -->
			<div class="footer">
				<div class="bottom-footer">
					<div class="container">
						<div class="row">
							<?php if(isset($veneno_options['copyright_show']) && $veneno_options['copyright_show']) { ?>
							<div class="col-lg-6 col-md-6 col-sm-6 copyright-block">
								<div class="copyright">
									تمامی حقوق متعلق به این وب سایت می باشد. طراحی توسط <a href="http://woocommerce.ir/" target="_blank">ووکامرس فارسی</a>.
								</div>
							</div>
							<?php } ?>
							<?php if(isset($veneno_options['footer_payment']['url']) && !empty($veneno_options['footer_payment']['url'])){ ?>
							<div class="col-lg-6 col-md-6 col-sm-6 payment-block">
								<img class="payment" src="<?php echo esc_url($veneno_options['footer_payment']['url']); ?>" alt="" />
							</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div><!-- .page -->
	</div><!-- .wrapper -->
	<div class="to-top"><i class="fa fa-chevron-up"></i></div>
	<?php if(isset($veneno_options['newsletter_show']) && $veneno_options['newsletter_show']) { ?>
	<?php
	if ( isset($veneno_options['newsletter_form']) && $veneno_options['newsletter_form']!="" ) {
		if(class_exists( 'WYSIJA_NL_Widget' )){ ?>
			<div class="popupshadow"></div>
			<div id="newsletterpopup" class="vinagecko-modal newsletterpopup">
				<span class="close-popup"></span>
				<div class="nl-bg">
					<?php
					the_widget('WYSIJA_NL_Widget', array(
						'title' => esc_html($veneno_options['newsletter_title']),
						'form' => (int)$veneno_options['newsletter_form'],
						'id_form' => 'newsletter1_popup',
						'success' => '',
					));
					?>
				</div>
			</div>
		<?php }
	}
	?>
	<?php } ?>
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/ie8.js" type="text/javascript"></script>
	<![endif]-->
	<?php wp_footer(); ?>
</body>
</html>